Subject: bug#25436: 25.1; sendmail does not add a Date: header in FCC

From: Francesco Potortì <[email-masked]>
Date: Fri, 13 Jan 2017 17:17:05 +0100

>> Date: Fri, 13 Jan 2017 15:41:07 +0100
>> From: Francesco Potortì <[email-masked]>
>> Cc: [email-masked]
>> 
>> $ emacs -Q
>> M-: (setq mail-user-agent 'sendmail-user-agent)
>> C-xm
>> add a recipient, subject and text at will
>> C-cC-fC-f
>> specify an FCC file at will
>> C-cC-c
>> transport RET
>> 
>> Now if I look at the FCC file, I see that the sent mail does not contain
>> a Date: header.
>
>I did the above, and I do see the "Date" header.  However, I needed a
>few additional settings before I could proceed after "C-c C-c".  Here
>are the variables I needed to set:
>
>  user-full-name
>  user-mail-address
>  smtpmail-smtp-server
>  smtpmail-smtp-service
>  smtpmail-stream-type

Hm.  It seems you did not send using sendmail (which is what 'transport
does in my recipe), but you used 'smtp instead.  In my running Emacs,
the last three variables are not even defined.

user-full-name is initialised (if I am not wrong) from /etc/passwd

user-mail-address, in may case, is taken from the $EMAIL env var